#altImages .a-button-toggle.a-button-thumbnail.a-button-selected .a-button-inner .a-button-text::after {
    box-shadow: none
}

/* ******** */
#main-image-container #showroom-outer-container {
    position: relative;
    height: 100%;
    width: 100%
}

#main-image-container #showroom-canvas-caption {
    position: absolute
}

#main-image-container #showroomCaption {
    min-height: 20px;
    display: block
}

#main-image-container #main-showroom-container {
    position: relative;
    height: 100%
}

#main-image-container #main-showroom-container:hover {
    cursor: pointer
}

#main-image-container #main-showroom-container #showroom-main-image-container {
    position: absolute;
    margin: auto;
    top: 50%;
    transform: translate(0,-50%)
}

#main-image-container #main-showroom-container #showroom-main-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block
}

#main-image-container #main-showroom-container .image-gradient-hue::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-image: linear-gradient(to bottom,transparent 40%,rgba(0,0,0,.6) 80%);
    opacity: .6
}

#main-image-container #main-showroom-container #showroom-main-image-overlay-container {
    position: absolute;
    bottom: 17%;
    left: 3%;
    width: 100%;
    text-align: left
}

#main-image-container #main-showroom-container #showroom-main-image-overlay-container #showroom-main-image-overlay-text {
    font-size: 20px;
    color: #fff
}

#main-image-container #main-showroom-container #showroom-main-image-overlay-container #showroom-main-image-overlay-subtext {
    font-size: 14px;
    color: #fff;
    text-shadow: 1px 0 15px #000,0 -1px 15px #000,-1px 0 15px #000,0 1px 15px #000
}

#main-image-container #main-showroom-container #showroom-main-image-overlay-container #showroom-main-image-overlay-icon {
    max-height: 29px;
    margin-right: 5px;
    padding-top: 2px
}

#main-image-container #main-showroom-container #showroom-main-image-overlay-container #showroom-main-image-overlay-button {
    padding-left: 5px;
    font-size: 15px
}

#imageBlock .gridImageBlockViewLayoutIn2x4 #main-image-container #showroom-outer-container {
    position: absolute;
    height: 100%;
    width: 100%
}

#imageBlock .gridAltImageViewLayoutIn2x5 #main-image-container #showroom-outer-container {
    position: absolute;
    height: 100%;
    width: 100%
}

#imageBlock .gridAltImageViewLayoutIn1x7 #main-image-container #showroom-outer-container {
    position: absolute;
    height: 100%;
    width: 100%
}

/* ******** */
div#imageBlock #main-video-container.videoCenter {
    padding-left: 0;
    margin-top: 0
}

#video-outer-container.videoWrapperCenter {
    display: flex;
    flex-wrap: wrap;
    align-content: center
}

#imageBlock_feature_div .ssf-share-btn {
    z-index: 3
}

#imageBlock_feature_div .ssf-background {
    z-index: 3
}

#altImages .videoBlockIngress.videoImageBlockGridView .video-count {
    width: 100%
}

#altImages .imageBlockThumbnailImageGrayOverlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0,0,0,.03);
    pointer-events: none
}

#imageBlock .gridImageBlockViewLayoutIn2x5 #image-canvas-caption {
    padding-top: 8px;
    padding-bottom: 8px
}

#altImages .gridAltImageViewLayoutIn2x5 .item img {
    max-width: 100%!important
}

#altImages .gridAltImageViewLayoutIn2x5 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around
}

@supports (display: grid) {
    #altImages .gridAltImageViewLayoutIn2x5 {
        display:grid;
        grid-template-columns: repeat(5,1fr);
        gap: 10px 16px
    }
}

#altImages .gridAltImageViewLayoutIn2x5 .a-button-toggle.a-button-selected .a-button-inner {
    background-color: transparent
}

#altImages .gridAltImageViewLayoutIn2x5 .a-button-toggle {
    border: 1px solid transparent;
    border-radius: 4px;
    box-sizing: border-box;
    overflow: hidden;
    margin: -1px
}

#altImages .gridAltImageViewLayoutIn2x5 .a-button-toggle.a-button-focus {
    border: 1px solid #1196AB;
    border-radius: 4px;
    box-sizing: border-box;
    overflow: hidden;
    box-shadow: 0 0 3px 2px #c8f3fa;
    margin: -1px
}

#altImages .gridAltImageViewLayoutIn2x5 .a-button-toggle.a-button-selected {
    border: 2px solid #1196AB;
    border-radius: 4px;
    box-sizing: border-box;
    overflow: hidden;
    margin: -2px
}

#altImages .gridAltImageViewLayoutIn2x5 .a-button-toggle.a-button-focus.a-button-selected {
    border: 2px solid #1196AB;
    border-radius: 4px;
    box-sizing: border-box;
    overflow: hidden;
    box-shadow: 0 0 3px 2px #c8f3fa;
    margin: -2px
}

#altImages .gridAltImageViewLayoutIn2x5 .a-button-focus .a-button-inner {
    outline: 4px solid #fff;
    outline-offset: -3px
}

#altImages .gridAltImageViewLayoutIn2x5 .a-button-toggle.a-button-thumbnail.a-button-selected {
    background-color: transparent
}

#imageBlock .gridImageBlockViewLayoutIn1x7 #image-canvas-caption {
    padding-top: 8px;
    padding-bottom: 8px
}

#altImages .gridAltImageViewLayoutIn1x7 .item img {
    max-width: 100%!important
}

#altImages .gridAltImageViewLayoutIn1x7 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around
}

/* @supports (display: grid) {
    #altImages .gridAltImageViewLayoutIn1x7 {
        display:grid;
        grid-auto-columns: 12.58%;
        grid-gap: 1.99%;
        justify-content: center;
        grid-auto-flow: column
    }
} */

@supports (display: grid) {
    #altImages .gridAltImageViewLayoutIn1x7 {
        display: grid;
        grid-template-columns: repeat(7, 1fr); /* 7列 */
        grid-template-rows: repeat(3, auto); /* 3行 */
        grid-auto-columns: 12.58%;
        grid-gap: 1.99%; /* セル間の隙間 */
        justify-content: center;
        align-items: center; /* 縦方向に中央揃え */
    }
}

#altImages .gridAltImageViewLayoutIn1x7 .a-button-toggle.a-button-selected .a-button-inner {
    background-color: transparent
}

#altImages .gridAltImageViewLayoutIn1x7 .a-button-toggle {
    border: 1px solid transparent;
    border-radius: 4px;
    box-sizing: border-box;
    overflow: hidden;
    margin: -1px
}

#altImages .gridAltImageViewLayoutIn1x7 .a-button-toggle.a-button-focus,#altImages .gridAltImageViewLayoutIn1x7 .a-button-toggle.a-button-selected {
    border: 2px solid #1196AB;
    border-radius: 4px;
    box-sizing: border-box;
    overflow: hidden;
    box-shadow: 0 0 3px 2px #c8f3fa;
    margin: -2px;
    background-color: transparent
}

#altImages .gridAltImageViewLayoutIn1x7 .a-button-selected .a-button-inner {
    outline: 4px solid #fff;
    outline-offset: -3px;
    box-shadow: none
}

#altImages .gridAltImageViewLayoutIn1x7 .a-button {
    outline: 0
}

#altImages .gridAltImageViewLayoutIn1x7 .a-button-toggle.a-button-thumbnail.a-button-selected .a-button-inner .a-button-text::after {
    box-shadow: none
}

#detailImg {
    max-width: none
}
/* ******** */
